=== debian/changelog ===
stellarium (0.13.0-2) unstable; urgency=medium

  * Fix build problems on non-x86 archs (Closes: #755445)
  * Add mesa-common-dev to build dependencies

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Tue, 22 Jul 2014 00:10:21 +0200

stellarium (0.13.0-1) unstable; urgency=medium

  * Imported Upstream version 0.13.0
  * Bumped standards version to 3.9.5
  * Update VCS-* fields
  * More restrictive watch file
  * Custom gbp settings
  * Change to team maintenance

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sat, 19 Jul 2014 19:19:47 +0200
