=== debian/watch ===
version=3
http://sf.net/stellarium/stellarium-([0-9\.]*)\.tar\.gz
