=== skycultures/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ADD_SUBDIRECTORY( arabic )
 ADD_SUBDIRECTORY( aztec )
+ADD_SUBDIRECTORY( boorong )
 ADD_SUBDIRECTORY( chinese ) 
 ADD_SUBDIRECTORY( egyptian ) 
 ADD_SUBDIRECTORY( inuit ) 
@@ -7,6 +8,7 @@
 ADD_SUBDIRECTORY( korean ) 
 ADD_SUBDIRECTORY( lakota ) 
 ADD_SUBDIRECTORY( maori ) 
+ADD_SUBDIRECTORY( mongolian ) 
 ADD_SUBDIRECTORY( navajo ) 
 ADD_SUBDIRECTORY( norse ) 
 ADD_SUBDIRECTORY( polynesian )
