=== src/CMakeLists.txt ===
--- 
+++ 
@@ -252,6 +252,8 @@
 
 IF(ENABLE_SCRIPTING)
 	SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
+		scripting/StelScriptOutput.hpp
+		scripting/StelScriptOutput.cpp
 		scripting/StelScriptMgr.cpp
 		scripting/StratoscriptPreprocessor.cpp
 		scripting/StelScriptMgr.hpp
@@ -384,4 +386,3 @@
 	SET(EXTERNAL_GUI_SRC_PATH "../../MyGui/" CACHE PATH "The location of the plugin main directory i.e. the one containing the top level CMakeLists.txt")
 	ADD_SUBDIRECTORY( ${EXTERNAL_GUI_SRC_PATH} externalGui )
 	SET(STELLARIUM_STATIC_PLUGINS_LIBRARIES ${STELLARIUM_STATIC_PLUGINS_LIBRARIES} ${CMAKE_BINARY_DIR}/src/externalGui/src/libExternalGui.a)
-	SET(EXTERNAL_GUI_PLUGIN_EXTRALIBS CACHE STRING "Additionnal link options needed for the GUI plugin")
