=== plugins/AngleMeasure/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This is the cmake config file for the AngleMeasure plugin
-SET(ANGLEMEASURE_VERSION "0.3.1")
+SET(ANGLEMEASURE_VERSION "0.4.0")
 ADD_DEFINITIONS(-DANGLEMEASURE_VERSION="${ANGLEMEASURE_VERSION}")
 
 ADD_SUBDIRECTORY( src )
