=== plugins/FOV/CMakeLists.txt ===

SET(FOV_MAJOR "0")
SET(FOV_MINOR "1")
SET(FOV_PATCH "0")
SET(FOV_VERSION "${FOV_MAJOR}.${FOV_MINOR}.${FOV_PATCH}")

IF(APPLE)
	SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
	SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DFOV_VERSION="${FOV_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/FOV")
