=== debian/changelog ===
stellarium (0.13.1-1ubuntu3) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 09:22:20 +0200

stellarium (0.13.1-1ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 13:07:41 +0200

stellarium (0.13.1-1ubuntu1) vivid; urgency=medium

  * debian/patches/fix_ftbfs_armhf_qt5.4.diff:
    - Re-include the removed in Qt GL_DOUBLE and GLdouble typedefs to enable
      properly building on GLES platforms against Qt 5.4 (LP: #1395655)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Fri, 16 Jan 2015 12:06:48 +0100

stellarium (0.13.1-1) unstable; urgency=medium

  * Imported Upstream version 0.13.1
  * Ensure proper Cmake version
  * d/watch: veryfing tarball signatures
  * d/patches: drop patches
  * Bumped standards version to 3.9.6
  * Override "package-contains-timestamped-gzip"

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sun, 19 Oct 2014 16:47:53 +0200
