=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: stellarium
 Section: science
 Priority: optional
-Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Tomasz Buchert <tomasz.buchert@inria.fr>
-Build-Depends: debhelper (>= 9), cmake (>= 2.6.0), doxygen, zlib1g-dev,
+Build-Depends: debhelper (>= 9), cmake (>= 2.8.11), doxygen, zlib1g-dev,
  qtbase5-dev (>= 5.2.1), libqt5opengl5-dev (>= 5.2.1),
  qtdeclarative5-dev (>= 5.2.1), qtdeclarative5-dev-tools (>= 5.2.1),
  qtquick1-5-dev (>= 5.2.1), qtscript5-dev (>= 5.2.1), qttools5-dev (>= 5.2.1),
  qttools5-dev-tools (>= 5.2.1), mesa-common-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.stellarium.org
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/stellarium.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/stellarium.git
